clc; clear
Pmeh = 1; Pm1 = 2.26; Pm2 = 0; Pm3 = 1.603; M = 3.7e-4;
t_iskl = 0.15;
% y(1) = omega e izrazena vo elektricni stepeni vo sekunda
% y(2) = teta e izrazena vo elektricni stepeni
% rabota so rezim na kusa vrska od 0 do t_iskl
f = @(t,y) [Pmeh/M; y(1)];
[t, y] = rk4(f, 0, t_iskl, [0 asin(Pmeh/Pm1)/pi*180], 50);
% rabota so isklucen vod od 0 do 1 sekunda
f = @(t,y) [(Pmeh - Pm3*sin(y(2)/180*pi))/M; y(1)];
[t1, y1] = rk4(f, 0, 1, y(end,:), 50);
% dvete resenija staveni posledovatelno
t = [t; t1 + t_iskl];
y = [y; y1];
figure; plot(t, 50 + y(:, 1)/18000);
figure; plot(t, y(:, 2));
