mreza = [4 3 10
         3 1 20
         3 2 16
         2 1 12];

generatori = [4 2.5];

[p, k, x] = deal(mreza(:,1), mreza(:,2), mreza(:,3));

ngr = size(mreza, 1);
n = max([p; k]);

A = sparse(1:ngr, p, ones(ngr, 1), ngr, n) - ...
    sparse(1:ngr, k, ones(ngr, 1), ngr, n);
Y = A' * sparse(1:ngr, 1:ngr, 1./x) * A;

[ig, xg] = deal(generatori(:, 1), generatori(:, 2));
Y = Y + sparse(ig, ig, 1./xg, n, n)

kv = 1;
I = zeros(4,1); I(kv) = 1;

Z = Y\I

Jd = 110/sqrt(3)/Z(kv)
Ud = 110/sqrt(3) - Z*Jd
Id = A*Ud./x